Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim
Class ColorAnimation

    java.lang.Object
      org.apache.batik.anim.AbstractAnimation
          org.apache.batik.anim.InterpolatingAnimation
              org.apache.batik.anim.SimpleAnimation
                  org.apache.batik.anim.ColorAnimation

    public class ColorAnimation

extends SimpleAnimation

An animation class for 'animateColor' animations.

Field Summary

Fields inherited from class org.apache.batik.anim.SimpleAnimation
`by, from, to, values`

Fields inherited from class org.apache.batik.anim.InterpolatingAnimation
`additive, calcMode, cumulative, keySplineCubics, keySplines, keyTimes`

Fields inherited from class org.apache.batik.anim.AbstractAnimation
`animatableElement, beginTime, CALC_MODE_DISCRETE, CALC_MODE_LINEAR, CALC_MODE_PACED, CALC_MODE_SPLINE, composedValue, higherAnimation, isActive, isDirty, isFrozen, lowerAnimation, timedElement, toAnimation, usesUnderlyingValue, value`

Constructor Summary
`ColorAnimation(TimedElement timedElement, AnimatableElement animatableElement, int calcMode, float[] keyTimes, float[] keySplines, boolean additive, boolean cumulative, AnimatableValue[] values, AnimatableValue from, AnimatableValue to, AnimatableValue by)` Creates a new ColorAnimation.

Method Summary

Methods inherited from class org.apache.batik.anim.SimpleAnimation
`sampledAtUnitTime`

Methods inherited from class org.apache.batik.anim.InterpolatingAnimation
`sampledAt, sampledLastValue, willReplace`

Methods inherited from class org.apache.batik.anim.AbstractAnimation
`getComposedValue, getTimedElement, getValue, markDirty, toString, usesUnderlyingValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColorAnimation

    public ColorAnimation(TimedElement timedElement,
                          AnimatableElement animatableElement,
                          int calcMode,
                          float[] keyTimes,
                          float[] keySplines,
                          boolean additive,
                          boolean cumulative,
                          AnimatableValue[] values,
                          AnimatableValue from,
                          AnimatableValue to,
                          AnimatableValue by)

  Creates a new ColorAnimation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.